Skip to main content

Transaction status

smilepayz teamsAbout 1 min

Egypt region transaction status inquiry API (EGP).

Request

POST/v2.0/inquiry-status

Request Path:

sandbox: https://sandbox-gateway.smilepayz.com/v2.0/inquiry-status
production: https://gateway.smilepayz.com/v2.0/inquiry-status

Header Parameters

FieldRequiredTypeDescription
Content-TypeMStringapplication/json request body.
X-TIMESTAMPMStringFormat: yyyy-MM-ddTHH:mm:ss±HH:mm
X-SIGNATUREMStringSignature of JSON body (see product Signature doc).
X-PARTNER-IDMStringYour merchantID (alphanumeric).

Body Parameters

FieldRequiredTypeDescription
tradeTypeMNumber1 = Pay-in, 2 = Pay-out.
orderNoCString(32)Merchant-unique id, 6–32 alphanumeric.
tradeNoCString(32)Smilepayz tradeNo for this order.

Requirement

At least one of tradeNo or orderNo must be sent.


Example Body – Inquiry Status Request:

Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+02:00
X-SIGNATURE: 85be817c55b2c135157c7e89f52499bf0c25ad6eeebe04a986e8c862561b19a5
X-PARTNER-ID: 20001

Responses

HTTP Request

FieldRequiredTypeDescription
Content-TypeMStringapplication/json request body.
X-TIMESTAMPMStringFormat: yyyy-MM-ddTHH:mm:ss±HH:mm

Body Parameters

FieldRequiredTypeDescription
codeMString00 success, other values error.
messageMStringUTF-8 human-readable result line.
tradeNoOStringSmilepayz tradeNo for this order.
tradeTypeONumber1 Pay-in / 2 Pay-out.
paymentMethodOStringCode (see Payment methods doc).
moneyOObjectcurrency plus amount for this transaction.
    currencyMStringISO currency code for this call.
    amountMNumberTransaction amount in EGP, numeric value greater than 0.
statusOStringOrder or payment status enum value.
remarkOStringExtra notes when present.

Example Body – Inquiry Status Response:

Content-type: application/json 
X-TIMESTAMP: 2020-12-17T10:55:00+02:00